input,
textarea,
select,
button {
    margin-top: var(--space-xs);
    font: inherit;
}


input,
textarea,
select {
    width: 100%;
    padding: var(--padding-md);

    border: none;
    outline: none;
    border-radius: var(--radius-sm);
    line-height: 1;

    background: var(--bg-glass);
    color: var(--text-primary);

    transition: var(--transition-fast)
}



input:focus,
textarea:focus,
select:focus {
    box-shadow: var(--glow-shadow-box);
}